-- load with: mysql -uroot < examples.sql

-- Create the demo user

CREATE USER 'app'@'%' IDENTIFIED BY 'Secret!123';
GRANT ALL ON shop.* TO 'app'@'%';

-- 

CREATE SCHEMA `shop`;

--

use `shop`;

CREATE TABLE `employee` (
  `employee_id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `first_name` varchar(64) DEFAULT NULL,
  `last_name` varchar(128) DEFAULT NULL,
  `birth_date` date NOT NULL,
  `profession` varchar(64) DEFAULT NULL,
  `team_id` tinyint(4) NOT NULL,
  PRIMARY KEY (`employee_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

INSERT INTO `employee` VALUES (1,'Oli','Sennhauser','1971-06-05','DBA',1),(2,'Hans','Meier','1979-03-31','Sysad',2);

CREATE TABLE `product` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(32) DEFAULT NULL,
  `category` varchar(16) DEFAULT NULL,
  `price` decimal(6,2) DEFAULT NULL,
  `stock` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;

INSERT INTO `product` VALUES (1,'Apple','fruits',3.00,5),(2,'Salad','vegetables',1.00,1),(3,'Melon','fruits',4.00,2),(4,'Onion','vegetables',0.75,10),(5,'Pear','fruits',3.25,6),(7,'Salmon','seafood',20.00,1);

CREATE TABLE `team` (
  `team_id` tinyint(3) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(64) DEFAULT NULL,
  PRIMARY KEY (`team_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;

INSERT INTO `team` VALUES (1,'Consulting');
